#
#	sample saver module makefile
#	(C) 1992 Siegfried Hanisch
#

#
# $$$$$ replace MODULENAME below with the file name of your module $$$$$
#
MODULENAME=sample


# if you use the IBM compiler, remove the '#' in the following line
#USE_ICC	= 1



!ifdef USE_ICC

$(MODULENAME).ssm:	$(MODULENAME).c $(MODULENAME).h $(MODULENAME).res $(MODULENAME).def
#	I use dynamic linking here
	icc /Ss /Gd /O /Gm /Ge- /Ms $(MODULENAME).c $(MODULENAME).def /B"/NOE" /Fe $(MODULENAME).ssm
	rc $(MODULENAME).res $(MODULENAME).ssm

!else

$(MODULENAME).ssm:	$(MODULENAME).c $(MODULENAME).h $(MODULENAME).res $(MODULENAME).def
	gcc -s -O2 -Wall -ZC++-comments -Zmtd -Zomf -Zdll $(MODULENAME).c -o $(MODULENAME).ssm $(MODULENAME).def $(MODULENAME).res

!endif

$(MODULENAME).res:	$(MODULENAME).rc $(MODULENAME).dlg $(MODULENAME).h ss.ico
	rc -r -p -x $(MODULENAME).rc

